<!DOCTYPE html>
<html lang="el">
	<head>
		<title>Διαχειριστής - Αρχική Σελίδα</title>
		
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0"> 
		
		<!-- Bootstrap -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
		
		<!-- Angular -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.7.5/angular.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.7.5/angular-route.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.7.5/i18n/angular-locale_el-gr.js"></script>
	
		<!-- Custom CSS -->
		<link rel="stylesheet" href="index.css">
		<link rel="stylesheet" href="../assets/css/responsive.css">
		

		<!-- Controllers -->
		
		<script src="app/components/products/productsCtrl.js"></script>
		<script src="app/components/shops/shopsCtrl.js"></script>
		<!-- <script src="app/components/users/usersCtrl.js"></script> -->
		<script src="app/shared/header/headerCtrl.js"></script>

		<!-- Initialization -->
		<script src="app/app.module.js"></script>
		<script src="app/app.route.js"></script>

	</head>
	<body ng-app="adminApp" ng-controller="adminCtrl">
		<!-- 
		Previous solution was to ng-include the navigation bar but that makes for really slow load times 
		as it goes and fetches it from the server. So I decided that we only need to fetch the icons on the right 
		which will change once the user is logged in.
		-->
		<header>
			<!-- <div ng-controller="headerCtrl"> -->
			<div ng-controller="headerCtrl">
				<nav class="navbar navbar-inverse navbar-fixed-top">
					<div class="container-fluid">
						<div class="navbar-header">
							<a class="navbar-brand" href="" ng-click ="setLocation('main')">House of Spirits</a>
							<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#headerNavbar" aria-controls="headerNavbar" aria-expanded="false" aria-label="Toggle navigation">
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>                        
							</button>
						</div>
						<div class="collapse navbar-collapse" id="headerNavbar">
							<ul id="navList" class="nav navbar-nav">
								<li id="shops"><a href="" ng-click ="setLocation('shops')" ng-show="logged">Καταστήματα</a></li>
								<li id="products"><a href="" ng-click ="setLocation('products')" ng-show="logged">Προϊόντα</a></li>
								<!-- <li id="Users"><a href="" ng-click ="setLocation('users')" ng-show="logged">Users</a></li> -->
						  	</ul>
							<div ng-include="'app/shared/header/unknownControls.html'" ng-hide="logged"></div>
							<div ng-include="'app/shared/header/knownControls.html'" ng-show="logged"></div>
						</div>
					</div>
				</nav>
				<div ng-include="'app/shared/header/modals/loginModal.html'"></div>
				<div ng-include="'app/shared/header/modals/passRecoveryModal.html'"></div>
			</div>
		</header>
		
		<div class="middle">
			<div ng-view></div>
		</div>
	</body>
</html>
